"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LocationEvents = void 0;
exports.multiply = multiply;
exports.start = start;
var _reactNative = require("react-native");
const LINKING_ERROR = `The package 'react-native-zoi-backgroundlocation' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const ZoiBackgroundlocation = _reactNative.NativeModules.ZoiBackgroundlocation ? _reactNative.NativeModules.ZoiBackgroundlocation : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
function multiply(a, b) {
  return ZoiBackgroundlocation.multiply(a, b);
}
function start() {
  return ZoiBackgroundlocation.start();
}
;
const LocationEvents = (eventID, callback) => {
  _reactNative.DeviceEventEmitter.addListener(eventID, callback);
};
exports.LocationEvents = LocationEvents;
//# sourceMappingURL=index.js.map