import { NativeModules, Platform, DeviceEventEmitter } from 'react-native';
const LINKING_ERROR = `The package 'react-native-zoi-backgroundlocation' doesn't seem to be linked. Make sure: \n\n` + Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const ZoiBackgroundlocation = NativeModules.ZoiBackgroundlocation ? NativeModules.ZoiBackgroundlocation : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
export function multiply(a, b) {
  return ZoiBackgroundlocation.multiply(a, b);
}
export function start() {
  return ZoiBackgroundlocation.start();
}
;
export const LocationEvents = (eventID, callback) => {
  DeviceEventEmitter.addListener(eventID, callback);
};
//# sourceMappingURL=index.js.map